Bug 1295256 (php-di-phpdoc-reader) - Review Request: php-di-phpdoc-reader - Parses @var and @param values in PHP docblocks
Summary: Review Request: php-di-phpdoc-reader - Parses @var and @param values in PHP d...
Keywords:
Status: CLOSED ERRATA
Alias: php-di-phpdoc-reader
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-di
TreeView+ depends on / blocked
 
Reported: 2016-01-04 01:57 UTC by Shawn Iwinski
Modified: 2016-01-25 01:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-20 21:56:26 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (9.39 KB, text/plain)
2016-01-04 13:21 UTC, Remi Collet
no flags Details
review.txt (7.69 KB, text/plain)
2016-01-04 13:22 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-01-04 01:57:39 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/e9e8e1fcce636d6616d9ee4694b02a5b5ccd12db/php-di-phpdoc-reader/php-di-phpdoc-reader.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-di-phpdoc-reader-2.0.1-1.fc23.noarch.rpm

Description:
Parses @var and @param values in PHP docblocks.

Autoloader: /usr/share/php/PhpDocReader/autoload.php


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2016-01-04 07:51:09 UTC
Please provide link to .src.rpm (cannot create myself without the getsource.sh)

Comment 2 Shawn Iwinski 2016-01-04 12:59:13 UTC
(In reply to Remi Collet from comment #1)
> Please provide link to .src.rpm (cannot create myself without the
> getsource.sh)

Ooops, sorry.



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/e9e8e1fcce636d6616d9ee4694b02a5b5ccd12db/php-di-phpdoc-reader/php-di-phpdoc-reader.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-di-phpdoc-reader-2.0.1-1.fc23.src.rpm

Comment 3 Upstream Release Monitoring 2016-01-04 13:18:14 UTC
remi's scratch build of php-di-phpdoc-reader-2.0.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12402228

Comment 4 Remi Collet 2016-01-04 13:21:12 UTC
Created attachment 1111483 [details]
phpci.log

phpCompatInfo version 5.0.0 DB built Dec 29 2015 09:34:25 CET static analyze results

Comment 5 Remi Collet 2016-01-04 13:22:20 UTC
Created attachment 1111484 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295256

Comment 6 Remi Collet 2016-01-04 13:23:05 UTC
[x]: Package is named according to the Package Naming Guidelines.
    Strict application of Guildelines give php-php-di-phpdoc-reader
    I agree php-di-phpdoc-reader is cleaner.


No blocker.

=== APPROVED ===

Comment 7 Remi Collet 2016-01-04 13:24:08 UTC
FYI: test suite ok, with PHPUnit 5.1 and PHP 7.0

Comment 8 Shawn Iwinski 2016-01-04 17:09:29 UTC
THANKS for the review!

Comment 9 Gwyn Ciesla 2016-01-04 17:13:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-di-phpdoc-reader

Comment 10 Fedora Update System 2016-01-07 20:02:59 UTC
php-di-symfony2-bridge-1.1.0-1.el7 php-di-5.2.0-1.el7 php-di-invoker-1.2.0-1.el7 php-mnapoli-phpunit-easymock-0.2.1-1.el7 php-di-phpdoc-reader-2.0.1-1.el7 php-container-interop-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200

Comment 11 Fedora Update System 2016-01-07 20:03:01 UTC
php-di-symfony2-bridge-1.1.0-1.fc22 php-di-5.2.0-1.fc22 php-di-invoker-1.2.0-1.fc22 php-mnapoli-phpunit-easymock-0.2.1-1.fc22 php-di-phpdoc-reader-2.0.1-1.fc22 php-container-interop-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d

Comment 12 Fedora Update System 2016-01-07 20:03:40 UTC
php-di-symfony2-bridge-1.1.0-1.fc23 php-di-5.2.0-1.fc23 php-di-invoker-1.2.0-1.fc23 php-mnapoli-phpunit-easymock-0.2.1-1.fc23 php-di-phpdoc-reader-2.0.1-1.fc23 php-container-interop-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c

Comment 13 Fedora Update System 2016-01-07 20:03:43 UTC
php-container-interop-1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-63cd5fa5f4

Comment 14 Fedora Update System 2016-01-08 21:23:57 UTC
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200

Comment 15 Fedora Update System 2016-01-09 04:25:25 UTC
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d

Comment 16 Fedora Update System 2016-01-09 04:27:51 UTC
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c

Comment 17 Fedora Update System 2016-01-20 21:56:10 UTC
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-01-21 04:48:56 UTC
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-01-25 01:30:06 UTC
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.